#!/usr/bin/env bash
CI_PROJECT_NAMESPACE=${1}
CI_PROJECT_NAME=${2}
CI_COMMIT_SHA=${3}
K8S_NAMESPACE=${4}
BASE_URL=${5}
CI_ENVIRONMENT_SLUG=${6}
SUBGROUP=${7}
export CI_PROJECT_NAMESPACE=${CI_PROJECT_NAMESPACE}
export CI_PROJECT_NAME=${CI_PROJECT_NAME}
export CI_COMMIT_SHA=${CI_COMMIT_SHA}
export K8S_NAMESPACE=${K8S_NAMESPACE}
export BASE_URL=${BASE_URL}
export CI_ENVIRONMENT_SLUG=${CI_ENVIRONMENT_SLUG}
export SUBGROUP=${SUBGROUP}
for f in deploy/k8s/templates/*.yaml
do
 envsubst < $f > "deploy/k8s/generated/$(basename $f)"
done